View Issue Details

IDProjectCategoryView StatusLast Update
0000195Gorilla3D[All Projects] Bug Reportspublic2022-07-25 15:23
ReporteradministratorAssigned Toadministrator 
PrioritynormalSeveritytweakReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version0.8.4.x 
Target Version0.8.4.xFixed in Version0.8.4.x 
Summary0000195: BUGFIX: Textures of embedded model not loaded
DescriptionEmbedding of mesh data works, but sometimes loading of embedded textures is not working.
Steps To ReproduceWarrior Yelling.dae model is not working like expected.
If textures can be found by absolute path, textures are shown, if not the texture cache is not getting applied correctly.
TagsNo tags attached.
Delphi-Version
OpenGLVersionOpenGL 4.3

Activities

administrator

2022-07-25 15:23

administrator   ~0000221

Issue fixed.
Texture filename of warrior contained linux dir separator ("/"), which conflicts with ExtractFileName() routine (left the "/" operators in filename)

Issue History

Date Modified Username Field Change
2022-04-30 11:53 administrator New Issue
2022-04-30 11:53 administrator Status new => assigned
2022-04-30 11:53 administrator Assigned To => administrator
2022-05-25 09:37 administrator Summary BUG: Textures of embedded model not loaded => BUGFIX: Textures of embedded model not loaded
2022-05-25 09:37 administrator Delphi-Version 11.0.0 =>
2022-07-25 15:23 administrator Status assigned => resolved
2022-07-25 15:23 administrator Resolution open => fixed
2022-07-25 15:23 administrator Fixed in Version => 0.8.4.x
2022-07-25 15:23 administrator Note Added: 0000221